PII Expansion

Create and stream a PII expansion job

Create a persisted PII-expansion job and immediately stream typed server-sent events until completion. Use the `X-Job-Id` response header to reconnect

POST/v1/pii-expansion/stream

Requires X-API-Key or Authorization: Bearer with a provisioned API key.

Create a persisted PII-expansion job and immediately stream typed server-sent events until completion. Use the X-Job-Id response header to reconnect at GET /v1/pii-expansion/jobs/{job_id}/stream with Last-Event-ID.

Request body

FieldTypeRequiredDescription
depthExpansionDepthNoDefault: "standard"
maxCandidatesintegerNoMaxcandidates Default: 10
seedsPiiExpansionSeedsNo
subjectPiiExpansionSubjectYes

Request examples

Seeded identity expansion

Expand from one or more supported email, phone, or username seeds.

{
  "depth": "standard",
  "maxCandidates": 10,
  "seeds": {
    "emails": [
      "[email protected]"
    ],
    "phones": [
      "+15555550100"
    ],
    "usernames": [
      "johnsmith"
    ]
  },
  "subject": {
    "name": "John Smith"
  }
}

Responses

200

Successful Response

422

Validation Error

FieldTypeRequiredDescription
detailarray<ValidationError>NoDetail

OpenAPI

Download the full OpenAPI contract from /openapi.yaml.